#include<iostream>
using namespace std;

void unos(int a[], int n)
{
    for(int i=0;i<n;i++)
        cin>>a[i];
}
void unos2(int a[], int b[], int q)
{
    for(int i=0;i<q;i++)
        cin>>a[i]>>b[i];
}
void funk(int n, int a[], int q, int l[], int r[])
{
    int d[20000];
    int p[20000];
    d[0]=1;
    for(int i=1;i<n;i++)
        if(a[i]>=a[i-1])
            d[i]=0;
        else d[i]=1;
    p[0]=0;
    for(int i=1;i<n;i++)
        p[i]=p[i-1]+d[i];
    for(int i=0;i<q;i++)
    {
        if(l[i]==1)
        {
            if(p[r[i]-1]<=1) cout<<"DA"<<endl;
            else cout<<"NE"<<endl;
            continue;
        }
        if(p[r[i]-1]-p[l[i]-2]<=1) cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
    }
}


int main()
{
    int n, a[20000], q;
    cin>>n;
    unos(a,n);
    cin>>q;
    int l[10000], r[10000];
    unos2(l,r,q);
    funk(n, a, q, l, r);
    return 0;
}